%define _buildid .7

%global py26nvr python26-chardet-%{version}-%{release}
%global py26builddir %{_builddir}/%{py26nvr}
%global py26doc ../%{py26nvr}

%global py27nvr python27-chardet-%{version}-%{release}
%global py27builddir %{_builddir}/%{py27nvr}
%global py27doc ../%{py27nvr}

%bcond_without tests # with

%global upstream_name python2-chardet

Name: python-chardet
Version: 2.0.1
Release: 7%{?_buildid}%{?dist}
Summary: Character encoding auto-detection in Python
Group: Development/Languages
License: LGPLv2
URL: http://chardet.feedparser.org
Source0: http://chardet.feedparser.org/download/%{upstream_name}-%{version}.tgz
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: python26
BuildRequires: python27

%description
Character encoding auto-detection in Python. As 
smart as your browser. Open source.

%package -n python26-chardet
Summary: Character encoding auto-detection in Python
BuildRequires: python26-devel
BuildRequires: python26-setuptools
Provides: python-chardet = %{version}-%{release}
Obsoletes: python-chardet <= 2.0.1-7.2.amzn1

%description -n python26-chardet
Character encoding auto-detection in Python. As 
smart as your browser. Open source.

This package is meant to be used with Python 2.6.

%package -n python27-chardet
Summary: Character encoding auto-detection in Python
BuildRequires: python27-devel
BuildRequires: python27-setuptools

%description -n python27-chardet
Character encoding auto-detection in Python. As 
smart as your browser. Open source.

This package is meant to be used with Python 2.7.

%prep
%setup -q -n %{upstream_name}-%{version}

%build
rm -rf %{py26builddir}
mkdir -p %{py26builddir}
cp -a * %{py26builddir}
pushd %{py26builddir}
CFLAGS="$RPM_OPT_FLAGS" %{__python26} setup.py build 
popd

rm -rf %{py27builddir}
mkdir -p %{py27builddir}
cp -a * %{py27builddir}
pushd %{py27builddir}
CFLAGS="$RPM_OPT_FLAGS" %{__python27} setup.py build 
popd

%install
rm -rf %{buildroot}

pushd %{py26builddir}
%{__python26} setup.py install -O1 --skip-build --root %{buildroot} --install-layout=amzn
popd

pushd %{py27builddir}
%{__python27} setup.py install -O1 --skip-build --root %{buildroot} --install-layout=amzn
popd
chmod -x COPYING

%check
%if %{with tests}
%endif

%clean
rm -rf %{buildroot}
rm -rf %{py26builddir}
rm -rf %{py27builddir}

%files -n python26-chardet
%doc COPYING
%{python26_sitelib}/*

%files -n python27-chardet
%doc COPYING
%{python27_sitelib}/*

%changelog
* Wed Feb 4 2015 Jason Green <jasg@amazon.com>
- Build for multiple pythons

* Wed May 7 2014 Cristian Gafton <gafton@amazon.com>
- import source package RHEL7/python-chardet-2.0.1-7.el7

* Fri Dec 27 2013 Daniel Mach <dmach@redhat.com> - 2.0.1-7
- Mass rebuild 2013-12-27

* Fri Dec 13 2013 Cristian Gafton <gafton@amazon.com>
- import source package RHEL7/python-chardet-2.0.1-6.el7

* Thu Dec 12 2013 Cristian Gafton <gafton@amazon.com>
- setup complete for package python-chardet

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Jul 21 2010 David Malcolm <dmalcolm@redhat.com> - 2.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Wed Jan 13 2010 Kushal Das <kushal@fedoraproject.org> 2.0.1-1
- New release

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Aug 04 2008 Kushal Das <kushal@fedoraproject.org> 1.0.1-1
- Initial release
